Search sentences by embedding
curl --request POST \
--url https://app.enzo.health/api/v1/transcripts/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchQuery": "<string>",
"filterByCurrentUser": false
}
'import requests
url = "https://app.enzo.health/api/v1/transcripts/search"
payload = {
"searchQuery": "<string>",
"filterByCurrentUser": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({searchQuery: '<string>', filterByCurrentUser: false})
};
fetch('https://app.enzo.health/api/v1/transcripts/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"score": 123,
"finalizedSentenceId": "<string>",
"voiceNoteId": "<string>"
}
]{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Transcripts
Search sentences by embedding
POST
/
v1
/
transcripts
/
search
Search sentences by embedding
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.